%define name drakx-net
%define version 0.75.4
%define subrel 1
%define release %mkrel 1
%define drakxtools_ver 10.15

%define libname lib%{name}

%define gtk_files (connection_manager|drakroam|ifw|monitor|netcenter|drakconnect/edit|drakconnect/global).pm

Summary: Mandriva network tools
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Networking
Url: http://wiki.mandriva.com/en/Tools
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: intltool
Requires: drakxtools >= %{drakxtools_ver}
Requires: %{name}-text = %{version}
Requires: %{libname} = %{version}
Requires: netprofile
Requires: perl-Gtk2 >= 1.154
Requires: usermode-consoleonly >= 1.92-4mdv2008.0
Conflicts: drakxtools <= 10.4.83

%description
This package contains the Mandriva network tools.

net_applet: applet to check network connection

net_monitor: connection monitoring

%package text
Summary: Mandriva network text tools
Group: System/Configuration/Networking
Requires: drakxtools-curses >= %{drakxtools_ver}
Requires: %{libname} = %{version}
Conflicts: drakxtools-curses <= 10.4.83
Conflicts: mdkonline < 2.37

%description text
This package contains the Mandriva network tools that can be used in
text mode.

drakconnect: LAN/Internet connection configuration. It handles
ethernet, ISDN, DSL, cable, modem.

drakfirewall: simple firewall configurator

drakgw: internet connection sharing

drakproxy: proxies configuration

drakvpn: VPN configuration (openvpn, vpnc)


%package -n %{libname}
Summary: Mandriva network tools library
Group: System/Configuration/Networking
Requires: drakxtools-backend >= %{drakxtools_ver}
# require perl-Net-Telnet for OpenVPN connections (#36126):
Requires: perl-Net-Telnet
# Require crda, iw and wireless-regdb for CRDA domain settings (#47324)
Requires: crda
Requires: iw
Requires: wireless-regdb
Conflicts: drakxtools-backend <= 10.4.83

%description -n	%{libname}
This package contains the Mandriva network tools library.

%prep
%setup -q

%build
%make

%install
rm -rf %{buildroot}
%makeinstall_std

(cd %{buildroot}; find usr/lib/libDrakX/network/ -type f -name '*.pm') | perl -ne 'm!/%{gtk_files}$! ? print STDERR "/$_" : print "/$_"' > %{name}-nogtk.list 2> %{name}-gtk.list

%find_lang %{name}
cat %{name}-nogtk.list %{name}.lang > %{name}.list

# consolehelper config
# ask for user password
ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/draknetcenter

mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/

ln -sf %{_sysconfdir}/pam.d/mandriva-console-auth %{buildroot}%{_sysconfdir}/pam.d/draknetcenter

cat > %{buildroot}%{_sysconfdir}/security/console.apps/draknetcenter <<EOF
USER=<user>
PROGRAM=/usr/sbin/draknetcenter
FALLBACK=false
SESSION=true
EOF

# consolehelper config
# ask for root password
for pak in drakconnect drakgw drakroam drakproxy drakvpn drakhosts; do
        ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/$pak
        ln -sf %{_sysconfdir}/pam.d/mandriva-simple-auth %{buildroot}%{_sysconfdir}/pam.d/$pak
        cat > %{buildroot}%{_sysconfdir}/security/console.apps/$pak <<EOF
USER=root
PROGRAM=/usr/sbin/$pak
FALLBACK=false
SESSION=true
EOF
done

%check
while read f; do
      grep Gtk2 %{buildroot}$f && exit 1
done < %{name}-nogtk.list
exit 0

%clean
rm -rf %{buildroot}

%files -f %{name}-gtk.list
%defattr(-,root,root)
%doc NEWS
%{_bindir}/net_applet
%{_bindir}/drakroam
%{_bindir}/draknetcenter
%{_bindir}/drakhosts
%{_sbindir}/drakhosts
%{_sbindir}/drakids
%{_sbindir}/draknetcenter
%{_sbindir}/draknetprofile
%{_sbindir}/draknfs
%{_sbindir}/drakroam
%{_sbindir}/draksambashare
%{_sbindir}/net_monitor
%config(noreplace) %{_sysconfdir}/pam.d/drakroam
%config(noreplace) %{_sysconfdir}/pam.d/draknetcenter
%config(noreplace) %{_sysconfdir}/pam.d/drakhosts
%config(noreplace) %{_sysconfdir}/security/console.apps/drakroam
%config(noreplace) %{_sysconfdir}/security/console.apps/draknetcenter
%config(noreplace) %{_sysconfdir}/security/console.apps/drakhosts
%{_sysconfdir}/X11/xinit.d/??net_applet
%{_datadir}/applications/draknetcenter.desktop
%{_datadir}/applications/net_applet.desktop
%{_datadir}/autostart/net_applet.desktop
%{_datadir}/gnome/autostart/net_applet.desktop
%{_prefix}/lib/libDrakX/icons/*.png
%{_datadir}/libDrakX/pixmaps/*.png

%files text
%config(noreplace) %{_sysconfdir}/pam.d/drakconnect
%config(noreplace) %{_sysconfdir}/pam.d/drakgw
%config(noreplace) %{_sysconfdir}/pam.d/drakproxy
%config(noreplace) %{_sysconfdir}/pam.d/drakvpn
%config(noreplace) %{_sysconfdir}/security/console.apps/drakconnect
%config(noreplace) %{_sysconfdir}/security/console.apps/drakgw
%config(noreplace) %{_sysconfdir}/security/console.apps/drakproxy
%config(noreplace) %{_sysconfdir}/security/console.apps/drakvpn
%{_bindir}/drakconnect
%{_bindir}/drakgw
%{_bindir}/drakvpn
%{_bindir}/drakproxy
%{_sbindir}/drakconnect
%{_sbindir}/drakfirewall
%{_sbindir}/drakgw
%{_sbindir}/drakinvictus
%{_sbindir}/drakproxy
%{_sbindir}/drakvpn

%files -n %{libname} -f %{name}.list
%defattr(-,root,root)
%dir %{_prefix}/lib/libDrakX/network/
%dir %{_prefix}/lib/libDrakX/network/connection
%dir %{_prefix}/lib/libDrakX/network/drakconnect/
%dir %{_prefix}/lib/libDrakX/network/vpn






%changelog
* Wed Nov 18 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.75.4-1.1mdv2009.1
- built for updates

* Tue Nov 10 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.75.4-1mdv2009.1
+ Revision: 463851
- 0.75.4:
- wireless backend:
  o encryption key is always ASCII when not using WEP (#52128)
- firewall:
  o support clearing pending ifw notifications in net_applet (#48493)
- 0.75.3:
- wireless backend:
  o supporting extra wpa_supplicant variables with non-EAP networks.

* Thu Jun 18 2009 Security Team <security@mandriva.com> 0.75.2-1.1mdv2009.1
+ Revision: 386888
- build for updates

  + Eugeni Dodonov <eugeni@mandriva.com>
    - 0.75.2:
     - properly handle wpa_supplicant WPA-Enterprise settings (#51574).

* Wed Jun 10 2009 Security Team <security@mandriva.com> 0.75.1-1.1mdv2009.1
+ Revision: 384846
- Rebuild for updates.

  + Eugeni Dodonov <eugeni@mandriva.com>
    - 0.75.1:
    - wireless backend:
      o properly handle passwords with special characters (#50670).
      o preserving wireless connection settings (#46010)
    - connection backend:
      o using correct sysctl variables when configuring advanced settings (#50807).
    - ethernet backend:
      o added e1000e to the list of cards requiring LINK_DETECTION_DELAY (#49335).
    - cellular backend:
      o added Cingular connection provider (#48849).
    - drakfirewall:
      o added support for AVAHI/mDNS ports (#50541).
    - updated translations.

* Tue Apr 21 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.75-1mdv2009.1
+ Revision: 368519
- Remove the possibility to edit wireless regulatory domain from drakconnect
  (#50115).

* Mon Apr 20 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.74.5-1mdv2009.1
+ Revision: 368439
- 0.74.5:
- connection manager:
  o test for network conectivity a few times before reporting error
  (#50098, #49574)
- cellular backend:
  o added support for Brazilian VIVO provider.

* Thu Apr 16 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.74.4-1mdv2009.1
+ Revision: 367796
- 0.74.4:
- wireless backend:
  o properly handling wireless cards which do not have a complete /sysfs/
    directory (such as b43) (#44740).

* Thu Apr 16 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.74.3-1mdv2009.1
+ Revision: 367718
- 0.74.3:
- wireless backend, draknetcenter:
  o support configuring default system regulatory domain
    (#49982, #49983 and #49171)

* Wed Apr 15 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.74.2-1mdv2009.1
+ Revision: 367504
- 0.74.2
- connection manager:
  o correctly saving hostname (#49827).

* Tue Apr 07 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.74.1-1mdv2009.1
+ Revision: 364892
- 0.74.1
- connection manager:
  o using correct persistent-net-rules udev file during installation (#49156)
- 0.74:
- netcenter:
  o new way of disabling IPv6 (#48618).
  o allow editing global interface settings (#33623)

* Tue Mar 31 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.73-1mdv2009.1
+ Revision: 362974
- 0.73:
- connection manager:
  o check if the network is really working during the connection test
  (#48887 #48169 #45965).
  o verify possible causes of network connection errors (#20684).
- drakfirewall:
  o added support for bacula, dhcp, syslog, mysql and postgresql servers.
  o updated associations between ports and packages.
- net_applet:
  o re-checking the wireless networks when updating applet (#40912)
- cellular backend:
  o added support for connections which do not require PIN number (#48837)
- ethernet backend:
  o always writing udev rules when saving settings (#48973)
- drakroam:
  o handle app authentication via draksec (#29566).
- Updated SPEC to handle drakroam authentication (#29566).

* Thu Mar 19 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.72-1mdv2009.1
+ Revision: 357597
- 0.72
- draknfs:
  o preventing overlap of portmap and rpcbind (#48913).
- drakgw:
  o better explanation for firewall configuration issues (#34460).
- wireless backend:
  o support dynamic regulatory domain settings (#47324).

* Tue Mar 17 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.71-1mdv2009.1
+ Revision: 356844
- 0.71:
- drakfirewall:
  o supporting custom user-defined NFS ports.
- netprofile:
  o selecting correct profile for cloning (#26562 #26776 #29303 #29271 #31721).

* Tue Mar 17 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.70-1mdv2009.1
+ Revision: 356436
- 0.70
 - support NFS connection firewalling (#7689, #42072).

* Fri Mar 13 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.69-1mdv2009.1
+ Revision: 354572
- 0.69
 - fix mdkapplet crash (#48729).

* Fri Mar 13 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.68-1mdv2009.1
+ Revision: 354447
- 0.68:
- cellular backend:
  o added O2 operator support (#48582)
- draknfs:
  o updated directory selection to use FileChooser (#44562)
- draksambashare:
  o support users with dashes in login (#45694)
  o updated directory selection to use FileChooser (#44564)
- drakids:
  o reduced default window height (#38904)
- net_applet:
  o update tooltip periodically (#48408, #40912)

* Tue Mar 03 2009 Olivier Blin <oblin@mandriva.com> 0.67-1mdv2009.1
+ Revision: 348044
- 0.67
- drakids: set gtk2 dbus watch helpers again (broken in 0.66)
- net_applet: fix crash_applet when mandi gets started
  (happens if mandi was not available at net_applet start)

* Thu Feb 26 2009 Olivier Blin <oblin@mandriva.com> 0.66-1mdv2009.1
+ Revision: 345105
- 0.66
- net_applet: do net set gtk2 dbus watch helpers twice
  (fix crash, #48243)

* Wed Feb 25 2009 Olivier Blin <oblin@mandriva.com> 0.65-1mdv2009.1
+ Revision: 344926
- 0.65
- connection manager:
  o factorize dbus events code
  o warn on connection failures
- net_applet:
  o reload network interfaces list when a new network device appears
    (if dbus support is enabled)
- ethernet backend:
  o correctly write udev rules for network devices

* Wed Feb 18 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.64-1mdv2009.1
+ Revision: 342466
- 0.64:
- connection manager:
  o fixed issue with list of wireless networks not appearing in drakconnect
  (#43613).

* Tue Feb 17 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.63-1mdv2009.1
+ Revision: 342238
- 0.63:
- xdsl backend:
  o reduce number of maximum failed attempts to 5 (#28087)
- connection manager:
  o allow editing MTU value (#45394)
- cellular backend:
  o added a message specified that only 4-digit PINs are supported
    due to comgt backend limitations (#45341, #46972)
- net_monitor:
  o more informative default connection information and control (#17140)
  o add option to reset traffic counter (#46676)

* Fri Feb 13 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.62-1mdv2009.1
+ Revision: 339984
- 0.62:
- connection manager:
  o preserve MTU value (#45969).
- net_monitor:
  o handle /proc/net/dev overflows (#46398)
- drakconnect:
  o displaying interface name together with description (#45881)
  o guessing DNS address the same was as GW (#7041)
  o displaying more information when configuring duplicate IP address (#16595)

* Mon Feb 09 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.61-1mdv2009.1
+ Revision: 338924
- 0.61
- draknetcenter:
  o added support for msec-controled variables
- drakfirewall:
  o restarting mandi after changing interactive firewall settings (#47370)

* Wed Jan 28 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.60-1mdv2009.1
+ Revision: 334719
- 0.60:
- drakids:
  o not using locale-specific date (#39914)
- netcenter:
  o added more options to Advanced settings view
- net_applet:
  o added DNS information to tooltip

* Tue Jan 20 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.59-1mdv2009.1
+ Revision: 331765
- Moved advanced network settings to draknetcenter, and removed
  draknetadvanced.

* Tue Jan 20 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.58-1mdv2009.1
+ Revision: 331478
- Added draknetadvanced to control advanced network parameters
  such as IPv6 and TCP Window Scaling (#27070, #28829, #33623, #38662).

* Wed Jan 14 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.57-1mdv2009.1
+ Revision: 329612
- 0.57:
- firewall:
  o fixed issue with drakfirewall not saving settings (#46256 and #46937).
- updated translations.

* Wed Nov 26 2008 Olivier Blin <oblin@mandriva.com> 0.56-1mdv2009.1
+ Revision: 307158
- 0.56
- net_applet:
  o use longer description for user-friendly interface names
  o use user-friendly names in more places
- wireless backend:
  o fix installing rt61 and rt73 firmware packages
- xdsl backend:
  o add support for ATM bridging (for pppoe over USB modems, #35797)
  o fix writing ATM settings (mainly for ATMARP)

* Mon Nov 17 2008 Olivier Blin <oblin@mandriva.com> 0.55-1mdv2009.1
+ Revision: 304043
- 0.55
- net_applet:
  o show interface type name instead of just the interface
- netcenter:
  o prefer full type description instead of type name
- connection backend:
  o detect cellular_card types from ifcfg file

* Mon Nov 17 2008 Olivier Blin <oblin@mandriva.com> 0.54-1mdv2009.1
+ Revision: 303921
- 0.54
- netcenter:
  o show/hide connections on hotplug events

* Fri Nov 14 2008 Olivier Blin <oblin@mandriva.com> 0.53-1mdv2009.1
+ Revision: 303380
- buildrequire intltool
- package draknetcenter desktop file
- 0.53
- drakfirewall:
  o do not display any banner when embedded (#44732)
  o honnor canceling interactive firewall
- wireless backend:
  o run wpa_cli reconfigure after writing network settings in wpa
    config file
  o reload networks list from wpa_supplicant before checking if a
    network  is configured (fixes showing configure window again when
    clicking Connect right after Configure)
- connection frontends:
  o allow to sort networks list (from Pascal Terjan, #40177)
  o allow to search in networks list (from Pascal Terjan)
- netcenter:
  o use network connection type as primary interface label
  o add XDG desktop file

* Thu Oct 02 2008 Olivier Blin <oblin@mandriva.com> 0.52-1mdv2009.0
+ Revision: 290909
- 0.52
- wireless backend:
  o correctly initialize monitor object in
    draknetcenter/drakroam/net_applet so that it can be reused later
    (and thus pre-select correct network in wpa_supplicant)
  o run wpa_cli select_network as fallback when network monitor (mandi)
    is not available
  o refresh wpa_supplicant network ids after wpa_supplicant is restarted too
  o keep track of hidden networks
  o write bssid in wpa_supplicant.conf for hidden networks
    (helps getting network ids of hidden networks)
  o set scan_ssid to 1 only for hidden or non-broadcasted SSIDs
    (based on an idea from Pascal Terjan)
  o set higher priority (1) for encrypted wpa_supplicant networks
    (based on an idea from Patrick Sinz)

* Wed Oct 01 2008 Olivier Blin <oblin@mandriva.com> 0.51-1mdv2009.0
+ Revision: 290436
- 0.51
- net_applet: fix crash on mandi restart (#42557)
- draknfs: start rpcbind service (from aginies, #44335)

* Tue Sep 30 2008 Olivier Blin <oblin@mandriva.com> 0.50-1mdv2009.0
+ Revision: 290229
- 0.50
- do not show interactive help during install

* Tue Sep 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.49-1mdv2009.0
+ Revision: 289962
- translation updates

* Mon Sep 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.48-1mdv2009.0
+ Revision: 287023
- translation updates

* Thu Sep 18 2008 Olivier Blin <oblin@mandriva.com> 0.47-1mdv2009.0
+ Revision: 285679
- 0.47
- new icons
- draknfs (aginies):
  o start nfs-server at launch
  o start nfs-server if needed only, don't use the restart command
  o fix Expander in add/modify dialog box
- draksambashare (aginies):
  o standalone server by default
  o add charset advanced option
  o should read the default configuration, instead of force some value
  o fix netbios option, use charset option only if defined
  o remove option if value is null
- wireless backend:
  o add support for rt2860 driver
  o add support for rtl8187se driver

* Wed Sep 17 2008 Olivier Blin <oblin@mandriva.com> 0.46-1mdv2009.0
+ Revision: 285410
- 0.46
- drakfirewall:
  o add Windows Mobile sync option (from Adam Williamson, #43907)
  o update bittorrent packages list
    (handle deluge, ktorrent, transmission, vuze)

* Wed Sep 10 2008 Olivier Blin <oblin@mandriva.com> 0.45-1mdv2009.0
+ Revision: 283500
- 0.45:
- connection backend:
  o rely on module name instead of sysfs driver name when finding
    module for an interface (for ath5k, #42990)

* Wed Sep 03 2008 Olivier Blin <oblin@mandriva.com> 0.44-1mdv2009.0
+ Revision: 279785
- 0.44
- wireless backend:
  o adapt to rt61pci and rt73usb drivers

* Mon Sep 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.43-1mdv2009.0
+ Revision: 278486
- 0.43
- wireless backend:
  o add initial support for b43 and b43legacy firmwares
  o add support for iwlagn firmware
- fix title style in drakfirewall

* Mon Aug 18 2008 Olivier Blin <oblin@mandriva.com> 0.42-1mdv2009.0
+ Revision: 273304
- 0.42
- modify thirdparty packages detection API

* Wed Aug 13 2008 Olivier Blin <oblin@mandriva.com> 0.41-1mdv2009.0
+ Revision: 271384
- 0.41
- handle correctly LAST LINE comments when writing in
  /etc/shorewall/stop
- extract some shorewall functions to be reused by drakguard

* Fri Aug 01 2008 Olivier Blin <oblin@mandriva.com> 0.40-1mdv2009.0
+ Revision: 259554
- 0.40
- write WIRELESS_WPA_REASSOCIATE=yes for rt61pci driver

* Thu Jul 24 2008 Olivier Blin <oblin@mandriva.com> 0.39-1mdv2009.0
+ Revision: 245884
- 0.39
- update some icons
- update translations

* Wed Jun 25 2008 Olivier Blin <oblin@mandriva.com> 0.38-1mdv2009.0
+ Revision: 229098
- 0.38
- install kppp if kdebase4-runtime is installed
  (instead of checking kdebase, thanks neoclust)

* Wed Jun 25 2008 Olivier Blin <oblin@mandriva.com> 0.37-1mdv2009.0
+ Revision: 229002
- 0.37
- adapt to kppp package names for KDE4
- 0.36
- cellular providers: add Vodafone for Germany
- wireless backend: fix rescaling signal levels from wpa_supplicant

* Tue Jun 03 2008 Olivier Blin <oblin@mandriva.com> 0.35.1-1mdv2009.0
+ Revision: 214802
- 0.35.1
- draknetcenter: re-enable dbus based notifications

* Tue Jun 03 2008 Olivier Blin <oblin@mandriva.com> 0.35-1mdv2009.0
+ Revision: 214612
- adapt packaging to new files in /usr/lib/libDrakX/network/net_applet
- 0.35
- cellular backend:
  o add suport for cdc_acm USB modems in cellular backend
  o install ppp (thanks Anssi) and bluez-utils when configuring a
    cellular connection over bluetooth
  o hso devices support (using ttyHS0 device and hso0 interface)
    using ifup-hso script, together with dkms-hso and hso-rezero
  o do not write DEBUG=yes for hso devices
  o write CELLULAR_CID in ifcfg file if needed
  o call comgt instead of gcom
  o update chat/ppp files when connecting to a cellular network
  o fix check for SIM card (adapt to latest comgt output)
  o use "comgt PIN" to check cellular cards status
  o use ttyUSB2 or ttyUSB1 as control device for usbserial devices
    when possible
  o hang when waiting for comgt to finish (not to have a zombie process)
  o guess provider according to APN from chat file or from
    configuration of current network
- cellular providers:
  o add BouygTel, SFR WAP (Illimythics / Pass Surf), SFR EeePC
  o add Finnish providers (from Anssi)
  o fix APN for TIM provider (from Giuseppe Ghibo)
  o enhance label of SFR Web APN
- ethernet backend:
  o do not disable ONBOOT for PCMCIA interfaces (ifplugd is used by default)
  o fix blacklisting via_velocity for ifplugd
  o do not blacklist ifplugd for via_velocity, use a link detection
    delay instead (reported working by Stefan van der Eijk)
- generic backend:
  o find gateway address for ptp connections with only one interface
    route (like hso devices)
- wireless backend:
  o do not try to use mandi if not available
  o really force using wireless-tools when wpa_supplicant gives empty
    results (by removing useless info from wpa_cli output)
  o add network to wpa_supplicant config if needed when connecting
    (drakroam/netcenter)
  o use signal level if all reported qualities are 100%% and if signal
    level is different
  o parse "Signal level=" as well (was only parsing "Signal level:")
  o try to normalize signal level reported by wpa_supplicant only if
    some values are greater than 100
  o refresh networks list when switching from non-roaming to roaming
    (to get wpa_supplicant network IDs)
  o default to roaming for all encryption types if ROAMING is true in
    /etc/sysconfig/drakx-net
  o do not write ONBOOT setting in access point files
- connection frontends:
  o make "Any" translatable in providers list (#40926)
  o ask for ndiswrapper files in /media (not inexistant /media/cdrom)
- connection managers (drakroam/draknetcenter):
  o do not check and warn thrice about device setup (i.e. kill switch)
  o allow to select provider (useful for cellular cards)
  o check hardware and probe networks if not already done when
  expanding connection
  o show wait message when checking hardware
  o do not let interactive::gtk set huge window size when asking
    hardware settings (PIN code)
- drakconnect:
  o allow skipping interface choice if AUTOMATIC_IFACE_CHOICE is true
    in /etc/sysconfig/drakx-net and only one "automatic" interface is
    detected (i.e. not ndiswrapper)
  o allow to skip protocol and address configuration (defaulting to dhcp)
    if AUTOMATIC_ADDRESS is true in /etc/sysconfig/drakx-net
- draknetcenter:
  o do not use a networks list when there is only one network, just
    use one text line (cellular cards)
- drakproxy: factorize code restarting window manager (tv)
- net_applet:
  o do not read modules_conf (saves 92 kB of RSS, 25808 -> 25716)
  o allow to disable D-Bus usage by setting DBUS=no in /etc/sysconfig/drakx-net
    (saves about 5200 kB of RSS memory)
    this disables Interactive Firewall and switching wireless network
    in the background without being root
  o do not try to run ifw code if disabled (total memory gain of 156  kB
    after network::net_applet::ifw move, if D-Bus is disabled)
  o autostart in LXDE too (Funda Wang)
- translation updates

* Fri Apr 04 2008 Olivier Blin <oblin@mandriva.com> 0.34-1mdv2008.1
+ Revision: 192314
- 0.34
- show wait message when starting connection
- use network-up to wait for connection to be started
  (useful when called right before adding urpmi media)

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 0.33-1mdv2008.1
+ Revision: 192198
- 0.33
- wireless backend:
  o ensure that WPA keys are 8-63 long if ASCII, 64 is hex
  o ensure that WEP keys are not longer than maximum key length for
    wpa_supplicant (#28107), 32 bytes in latest cooker package
  o allow to force using key as ASCII string (#27525)
  o write open/restricted  mode in WIRELESS_ENC_MODE variable to be
    able to use spaces in ASCII wireless keys (#26025)
  o check firmware with ucode API '-1' for iwl3945/iwl4965
    (default in our kernel)
  o do not write MII_NOT_SUPPORTED in wireless.d files (so that its
     value does not get overwritten when switching networks)
- cellular backend:
  o zero-pad module options to usbserial module
  o add cellular provider data for Italy (from Giuseppe Ghibr)
- ethernet backend
  o add a link detection delay for b44 module (#38795)
  o do not set RESOLV_MODS to "yes" if PEERDNS is "yes"
- firewall backend:
  o redirect both fw and loc zone (if loc is available)
  o allow to accept multiple users for the same port
- drakgw:
  o write netmask as VLSM for shorewall (#38447)
  o allow more local networks in squid (from squid default conf)
  o make sure squid user can connect to http
- draknetprofile:
  o allow to toggle radio buttons and set netprofile in background
    (from Pascal Terjan, #33602)
- drakvpn:
  o use new advanced vpnc UDP options (mostly from Lonny, #35007)

* Thu Mar 27 2008 Olivier Blin <oblin@mandriva.com> 0.32-1mdv2008.1
+ Revision: 190754
- 0.32
- drakfirewall backend:
  o really configure shorewall if not installed previously
  o fix reading config file if it exists but is almost empty

* Thu Mar 27 2008 Olivier Blin <oblin@mandriva.com> 0.31-1mdv2008.1
+ Revision: 190582
- 0.31
- drakfirewall backend:
  o make easier to redirect ports (for drakguard)
  o redirect ports from the firewall system if no local zone exists
  o allow to accept local users for specific ports
  o fix reading default squid port (if prefixed by domain, or suffixed
    by other options)

* Tue Mar 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.30-1mdv2008.1
+ Revision: 190125
- translation updates

* Wed Mar 19 2008 Olivier Blin <oblin@mandriva.com> 0.29-1mdv2008.1
+ Revision: 188937
- conflicts with older mdkonline
- 0.29
- add has_network_connection helper (for mdkonline and finish-install)
- drakfirewall: make sure shorewall config is written if there is no
  interface in net zone (#38722)
- draksambashare: add missing accelerators in menus (aginies)

* Sat Mar 15 2008 Olivier Blin <oblin@mandriva.com> 0.28-1mdv2008.1
+ Revision: 188051
- do not require Gtk2::NotificationBubble anymore
- package new drakconnect modules
- require drakxtools 10.15 for notify queue API
- 0.28
- wireless support:
  o detect EAP support when parsing iwlist scan (#38792)
  o rephrase WPA/WPA2 PSK/Enterprise labels
  o install mandi if wpa_supplicant is enabled, so that net_applet can
    trigger connections without being root
- cellular cards support:
  o check that PIN number is 4 digits
  o do not enter PIN multiple times in gcom
    (to prevent wrong PIN from being entered and SIM card to be
    locked)
- connection frontend:
  o improve message about non-free packages (#37258)
  o only write network settings that really have to be applied before
    starting connection (#38792)
  o do not crash if no device is detected when updating networks
  (#38734)
- connection backend:
  o do not check connection setup again if the first time failed
  o preverse existing settings when configuring a new device
  o fix crash during ethernet devices detection (#33517)
- netcenter:
  o show only non-zeroconf virtual interfaces (#38310)
  o improve virtual/alias interfaces support
  o show wait_message earlier and remove main window showing hack
    (wait_message will end with a default window icon though)
- drakroam:
  o do not run the whole setup check if interface is already ok
  o preselect "No device found" in connections list if no device is
  found
- net_applet:
  o add support for "new connection" messages from Interactive
  Firewall
    (do not show them as "attacks")
  o use Gtk2::Notify and Gtk2::StatusIcon
    (#37509, reworked based on a patch from Titi)
  o set 'critical' urgency in attack notifications popup
  o flush gtk before displaying notifications
    (so that they appear on the status icon position)
- drakfirewall:
  o adapt Ifw rule to new shorewall (remove old Ifw rule if needed)
  o do not ask which interfaces to protect if disabled (#27049)
  o protect all interfaces by default, let the user unselect
    local ones (#27978)
  o add banner
- drakids:
  o better phrasing (do not read Attack when it can be a simple
    connection notification)
- drakconnect:
  o include interface name when selecting device
  o split code in sub-modules (startup should be slightly faster)
  o always write modules conf before exiting
    (this could fix some bugs with drakconnect --del)
  o drop --old and --install options

  + Thierry Vignaud <tvignaud@mandriva.com>
    - bump require on drakxtools for API

* Fri Feb 29 2008 Olivier Blin <oblin@mandriva.com> 0.27-1mdv2008.1
+ Revision: 176629
- 0.27
- connection backend:
  o initial import of WPA-EAP support
    (patch from Clement Onime, with minor changes, #23925)
  o do not crash with prism54 driver which reports quality with
    division by zero (assume max signal quality is 255 instead,
    from Eddy De Greef, #34845 and #37879)
- net_applet:
  o update icons (from Helene)
- drakroam/draknetcenter:
  o show the GUI earlier to fix window icon, it gets destroyed after
    initial wait message is destroyed
  o be 800x480 friendly (#38049)
- draknetcenter:
  o use cached result to match detected devices (update cache when
    needed only), not to show the same interface multiple times

* Tue Feb 26 2008 Olivier Blin <oblin@mandriva.com> 0.26-1mdv2008.1
+ Revision: 175513
- 0.26
- draknetcenter:
  o fix crash with cellular cards (#36801)
  o allow to configure device if not installed (#33531)
  o setup connection if needed when updating networks list
  o do not enable by default devices that require slow hardware check
    (like cellular cards)
  o allow to scan networks even if slow (like cellular cards), just
    don't do it at startup
  o do not scan networks at startup if device is unavailable
  o write settings after initial connection setup
  o update networks list after initial connection setup
  o do not run sdptool search when detecting connections
  o add wait message at start
  o remove wait message when displaying device setup error
- net_monitor (tv):
  o make expose_event callback more robust (#36537)
  o make sure widgets got realized before any event callback is called
    (#36537)
  o make sure not to run timers after quitting the main loop (#37635)
- connection backend:
  o fix checking dkms modules after package installation (#33044)
  o write modalias for ethernet and wireless interfaces
    (mostly useful with ndiswrapper: #34660, #37026, #37106)
  o fix crash in providers list when weirdly translated locale country
    contains metacharacters (reported by Cosmin Humeniuc)
  o be stricter when matching provider country
  o add title in wait messages
- ndiswrapper support:
  o find more conflicting drivers: original driver from ldetect, sysfs
    driver, and drivers registered on the ssb bus
    (to find all of bcm43xx, ssb and b43 for Broadcom devices)
  o unload drivers for all conflicting interfaces
  o stop conflicting interfaces before removing conflicting modules
  o do not reload ndiswrapper module twice or more
  o improve error message for ndiswrapper setup (#28335)
- add strict version requirements for drakx-net-text and libdrakx-net (more complete fix for #35295)
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - add a versionnated require on perl-Gtk2 due to needed API (#34573)
    - versionnate require (#35295)
    - kill re-definition of %%buildroot on Pixel's request
    - explain require

* Mon Dec 17 2007 Olivier Blin <oblin@mandriva.com> 0.25-1mdv2008.1
+ Revision: 121681
- 0.25
- draksambashare (aginies):
  o fix typo, fix inherit permission problem, re-order some share
  options
  o add an Help menu
  o only display share name, directory and comment (try to improve GUI
  #27339)
  o add security options, fix list problem, fix default PDC
  configuration
  o add a wizard to configure a PDC or a standalone Samba server
  o fix wizard bug
- draknfs:
  o translate "Advanced options"
  o add host allow option (aginies)
- connection frontend:
  o do not make refresh/monitor buttons sensitive if device has no
  interface
- 3G/GPRS providers list:
  o add "Orange WAP" (with "orange" as APN)
  o rename "Orange Grand Public" as "Orange Web"
- i18n:
  o renamed Uzbek translations to follow the libc standard
    (#35090, from Mashrab Kuvatov, approved by  Pixel)
  o updates
- require perl-Net-Telnet for OpenVPN connections (#36126)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - own directory

* Fri Oct 05 2007 Olivier Blin <oblin@mandriva.com> 0.24-1mdv2008.0
+ Revision: 95582
- 0.24:
- draknetcenter:
  o update networks list on connection status change
  o use a scrolled window for wireless networks
  o show all wireless networks
  o do not modify GTK style, it is not consistent in MCC and
  standalone, and breaks widgets
  o check network address settings
- drakconnect/draknetcenter/drakroam:
  o check that network access settings are valid (i.e. check wireless
  key)
- drakroam: use same sort function than draknetcenter
- net_applet/drakroam/draknetcenter:
  o list current network on top of network list
  o do not show as selected the APs with same ESSID as current AP
- connection backend:
  o fix URL for Smartlink modems (#34479)
  o fix typo in german translation (#34479)
  o fix test of unicorn kernel modules
  o use Orange instead of Wanadoo France in xDSL provides list
    (Emmanuel Andry, #23172)

* Wed Oct 03 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.23-1mdv2008.0
+ Revision: 95033
- updated translation

* Tue Oct 02 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.22-1mdv2008.0
+ Revision: 94713
- update israeli xDSL provider list (#32685)

* Mon Oct 01 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.21-1mdv2008.0
+ Revision: 94276
- updated translation

* Fri Sep 28 2007 Olivier Blin <oblin@mandriva.com> 0.20-1mdv2008.0
+ Revision: 93728
- 0.20
- check for draknetcenter/drakroam instances of root, not user
- do not allow to run multiple draknetcenter (#34276)

* Fri Sep 28 2007 Olivier Blin <oblin@mandriva.com> 0.19-1mdv2008.0
+ Revision: 93445
- 0.19
- add back ipw3945 settings
- net_applet: add X-MandrivaLinux-CrossDesktop (#33416)

* Tue Sep 25 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.18-1mdv2008.0
+ Revision: 92926
- updated translations

* Tue Sep 25 2007 Olivier Blin <oblin@mandriva.com> 0.17-1mdv2008.0
+ Revision: 92869
- allow console users to run network center without password
- 0.17
- net_monitor:
  o fix crash on exit (Tv, #33023)
- net_applet:
  o run net center instead of simple menu on left click

* Thu Sep 20 2007 Olivier Blin <oblin@mandriva.com> 0.16-1mdv2008.0
+ Revision: 91295
- 0.16:
- connection manager (netcenter/drakroam):
  o add banner in configure dialog (#33622)
- netcenter:
  o update connection status on dbus event
  o update status icon on connection change
  o always allow to connect if no network has to be selected
  o fix connection stop
- drakroam:
  o remove extra toggle button
  o do not die when no wireless interface is configured (#33123)
- net_applet:
  o use new connected/disconnected/unconfigured icons
- connection backend:
  o wait a bit for iwl3945/iwl4965 interfaces to appear
  o fix matching of ueagle_atm module (#33029)
  o show notification about cxacru firmware

* Thu Sep 13 2007 Olivier Blin <oblin@mandriva.com> 0.15-4mdv2008.0
+ Revision: 85376
- require lib package in drakx-net-text (from Quel Qun, #33451)

* Wed Sep 12 2007 Andreas Hasenack <andreas@mandriva.com> 0.15-3mdv2008.0
+ Revision: 84831
- use new common pam config files for usermode/consolehelper

* Tue Sep 11 2007 Olivier Blin <oblin@mandriva.com> 0.15-2mdv2008.0
+ Revision: 84339
- do not package drakroam/netcenter Gtk2 files in lib package (#33451)
- make sure no file using Gtk2 is included in lib package

* Mon Sep 10 2007 Olivier Blin <oblin@mandriva.com> 0.15-1mdv2008.0
+ Revision: 84249
- 0.15
- draknetcenter:
  o use new status icons
  o add Quit button
  o do not show markup instead of interface name if interface does not
  exist (#33241)
- draknfs/draksambashare:
  o use translations (#33221)

* Fri Aug 31 2007 Andreas Hasenack <andreas@mandriva.com> 0.14-4mdv2008.0
+ Revision: 77075
- drakhosts: ask console user for root password

* Wed Aug 29 2007 Andreas Hasenack <andreas@mandriva.com> 0.14-3mdv2008.0
+ Revision: 75027
- drakproxy, drakvpn: allow console user to run them, provided root password is given
- drakgw: ask console user for root password
- drakconnect: console user can run it provided the root password is given

* Wed Aug 29 2007 Andreas Hasenack <andreas@mandriva.com> 0.14-2mdv2008.0
+ Revision: 74992
- draknetcenter can now be run as root by console user with user password

* Wed Aug 22 2007 Olivier Blin <oblin@mandriva.com> 0.14-1mdv2008.0
+ Revision: 68780
- 0.14
- draknetcenter:
  o move buttons on one row
  o add per-connection expander
- net_applet:
  o always show interfaces in left-click menu
  o do not show empty menus

* Tue Aug 21 2007 Olivier Blin <oblin@mandriva.com> 0.13-1mdv2008.0
+ Revision: 68151
- 0.13
- draknetcenter: initial prototype
- drakroam:
  o add iwl3945/iwl4965 support to replace ipw3945
  o show signal strength and encryption flags as tooltip for networks list
  o remove encryption flags column in networks list
  o pre-set Managed mode for access points detected as Master (#30303)
- net_applet:
  o fix startup with XFCE (Tv, #31834)
  o disable autostart notifications of net_applet (Tv, #18965)
  o prevent firing up drakbug when automatic startup is disabled (Tv, #32292)
  o use "Help" instead of "Get Online Help" since the doc is local (thanks damsweb)
- draksambashare:
  o fix existing shares test (aginies, #30099)
  o use exit instead of return in main code (nvigier, #32374)
- draknfs (nvigier):
  o add subtree_check option
  o fix bug with sync/async option
  o nfs service was renamed to nfs-server for 2008.0
  o fix path for do_pkgs->ensure_is_installed : /sbin/rpc.statd
    is from nfs-utils-client package, not nfs-utils
  o use exit instead of return in main code


* Sat Mar 31 2007 Olivier Blin <oblin@mandriva.com> 0.12-1mdv2007.1
+ Revision: 150102
- 0.12: fix check of nfs-utils-clients installation (Tv)

* Fri Mar 30 2007 Olivier Blin <oblin@mandriva.com> 0.11.1-1mdv2007.1
+ Revision: 149896
- 0.11.1 (don't install .perl_checker file /o\)
- 0.11:
  o enhance selection of multiple thirdparty packages
  o make thirdparty packages code easier to re-use
    (for example in automatic install, useful for live systems)

* Thu Mar 29 2007 Olivier Blin <oblin@mandriva.com> 0.10-1mdv2007.1
+ Revision: 149284
- 0.10:
  o drakroam: do not show "More networks" menu if empty (#28626)
  o don't translate program names in old interface (Emmanuel Blindauer, #29196)
  o drakconnect: make net_applet reload its configuration after an interface is deleted (#28680)
  o draknfs: fix missing use of gtkset (aginies)

* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 0.9-1mdv2007.1
+ Revision: 148615
- 0.9:
  o allow drakroam to be run as user (#23771)
  o do not allow drakconnect to be run as user anymore
  o fix gateway detection for new ppp daemon (#27886)
- pam config is now handled in "upstream" tarball
- update url
- move pam config in drakx-net module
- move pam config in drakx-net module

* Thu Mar 22 2007 Olivier Blin <oblin@mandriva.com> 0.8-1mdv2007.1
+ Revision: 148077
- 0.8
- prefer DNS variables over MS_DNS one in ifcfg files (should fix ppp ifcfg files and static net install)
- drakroam: rt73-firmware support (#29691)
- drakroam: do not detect network with empty ssid as configured
- drakroam: fix rf_kill detection for ipw3945 by checking it before interface presence
- drakroam: remove ipw3945d service support
- drakroam: reload ipw3945 module if no interface is present when the device is not rf-killed (fix missing interface is booting with rf-kill)
- drakroam: try to find wireless driver if unknown (fix rt61 detection)
- drakroam: rt61 firmware support

  + Thierry Vignaud <tvignaud@mandriva.com>
    - bump require on drakxtools for PCI domain support

* Mon Mar 12 2007 Olivier Blin <oblin@mandriva.com> 0.7-1mdv2007.1
+ Revision: 141488
- 0.7
- add missing tools: drakhosts, draknfs, draksambashare (thanks Titi
- for the hint)
- drakconnect: match PCI domain when looking up devices by MAC address
- (Titi)
- drakconnect: use a link detection delay for r8169
- drakconnect: default to NEEDHOSTNAME=no
- drakroam: merge flags from configured wpa_supplicant networks in all
- matching scanned networks
- drakroam: detect ad-hoc networks when wpa_supplicant is used
- drakroam: pre-select detected wireless mode of the configured
- network
- drakroam: allow to configure ad-hoc networks with wpa_supplicant
- drakroam: write more settings in ifcfg files when wpa_supplicant is
- used
- drakroam: do not write Roaming WIRELESS_MODE anymore, ifup scripts
- will rely on WIRELESS_WPA_DRIVER
- drakroam: do not override AP address with "any" when parsing
- wpa_supplicant network list
- net_applet: start it using GNOME own autostart infrastructure
- (Frederic Crozat)
- net_applet: fix detection of running net_applet processes

* Mon Feb 26 2007 Andreas Hasenack <andreas@mandriva.com> 0.6-2mdv2007.1
+ Revision: 126069
- setup drakconnect to use consolehelper (runs as root
  without prompting for a password as long as invoked by
  the console user)

* Wed Feb 07 2007 Olivier Blin <oblin@mandriva.com> 0.6-1mdv2007.1
+ Revision: 117305
- add NEWS file
- 0.6

* Thu Jan 11 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5-1mdv2007.1
+ Revision: 107288
- add rt73 in the old rt2x00 list (blino)
- drakhosts, draknfs, draksambashare: move more network tools
  into drakx-net
- misc cleanups

* Thu Dec 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.4-1mdv2007.1
+ Revision: 101096
- net_monitor: fix choosing color

* Wed Dec 20 2006 Olivier Blin <oblin@mandriva.com> 0.3-2mdv2007.1
+ Revision: 100535
- explicitely require perl-Gtk2-NotificationBubble

* Wed Dec 06 2006 Olivier Blin <oblin@mandriva.com> 0.3-1mdv2007.1
+ Revision: 91619
- update tarball so that perl_checker is not required
- do not run tools in restricted mode (#27458)
- fix crash in restricted mode
- use /media instead of /mnt for cdrom/floppy
- get translations from "drakx-net" domain (from Thierry Vignaud)

* Thu Nov 30 2006 Olivier Blin <oblin@mandriva.com> 0.2-2mdv2007.1
+ Revision: 89438
- bump release
- do not use mklibname

* Thu Nov 30 2006 Olivier Blin <oblin@mandriva.com> 0.2-1mdv2007.1
+ Revision: 89282
- net_applet: show simplified menu on left click (instead of running net_monitor)
- drakfirewall: really disable services if asked to (#27295)
- move netprofile requires in drakx-net
- move network tools description in drakx-net
- move network tools description in drakx-net

* Thu Nov 30 2006 Olivier Blin <oblin@mandriva.com> 0.1-1mdv2007.1
+ Revision: 89212
- do not buildrequires perl_checker
- initial drakx-net release
- Create drakx-net

